const fs = require('fs');
const path = require('path');
const express = require('express');

// 导入工具方法
const { setHeader, setJSONResponse } = require('../utils/res');
const getIp = require('../utils/getIp');
const parseIp = require('../utils/parseIp');

const router = express.Router();

// 获取访问者IP并解析信息
router.get('/', (req, res) => {
	setHeader(res, 'Access-Control-Allow-Origin', '*');
	setHeader(res, 'content-type', 'application/json;charset=utf-8');
	const ip = getIp(req);
	parseIp(ip)
		.then(data => {
			setJSONResponse(res, {
				ret: 0,
				data
			});
		})
		.catch(err => {console.log(err)

			setJSONResponse(res, {
				ret: -1
			});
		});
});

// 获取传入IP并解析信息
router.get('/:ip', (req, res) => {
	setHeader(res, 'Access-Control-Allow-Origin', '*');
	setHeader(res, 'content-type', 'application/json;charset=utf-8');
	const { ip } = req.params;
	parseIp(ip)
		.then(data => {
			setJSONResponse(res, {
				ret: 0,
				data
			});
		})
		.catch(err => {
			setJSONResponse(res, {
				ret: -1
			});
		});
});

module.exports = router;